:root {
    --neutral-color: rgb(24, 24, 24);
    --background-color: rgb(255, 255, 252);
    --highlight-color: rgb(140, 0, 255);
    --darker-highlight-color: rgb(95, 0, 173);
    --border-color: var(--highlight-color);
    --font-color: var(--neutral-color);
    --caption-color: rgb(80, 80, 80);
    --border-space: 20px;
    --list-item-margin-bottom: 10px;
    --lin-height: 150%;
}

html, body {
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
}

body {
    background-color: var(--background-color);
    color: var(--font-color);
    font-family: 'Comfortaa', sans-serif; /* Possibly: Public Sans */
    font-size: large;
    word-break: normal;
}

h1, h3 {
    margin: 0
}

h3 {
    margin-top: 15px;
}

a:link {
    color: var(--font-color);
}

a:visited {
    color: var(--font-color);
}

p {
    padding: 0;
    margin: 0;
}

.container {
    width: 100%;
    height: 100%;
}

.header-container {
    font-family: 'Comfortaa', sans-serif;
    width: 100% !important;
    margin-bottom: var(--border-space);
    padding-bottom: var(--border-space);
    border-bottom: 1px solid var(--border-color);
    color: var(--darker-highlight-color);
}

.content {
    background-color: var(--background-color);
    width: 30%;
    margin: auto;
    padding-top: 50px;
    padding-bottom: 100px;
}

.header-ressources {
    margin-top: var(--border-space);
    padding-top: var(--border-space);
    border-top: 1px solid var(--border-color);
}

@media screen and (max-width: 1200px) {
    .content {
        width: 40%;
    }
}

@media screen and (max-width: 1000px) {
    h1 {
        font-size: 1.7rem;
    }
    h2 {
        font-size: 1rem;
    }
}

@media screen and (max-width: 700px) {
    .content {
        width: 90%;
        padding-top: 50px;
    }
}

.cite {
    font-style: italic;
}

.fat {
    font-weight: bold;
    color: var(--highlight-color);
}

.text {
    text-align: justify;
    line-height: var(--lin-height);
}

.post {
    border-top: 1px solid var(--border-color);
    padding-top: var(--border-space);
    margin-top: var(--border-space);
    border-bottom: 1px solid var(--border-color);
    padding-bottom: var(--border-space);
    margin-bottom: var(--border-space);
}

.bulletpoints {
    border: none;
    border-bottom: 1px solid var(--border-color);
    border-top: 1px solid var(--border-color);
    margin-top: var(--border-space);
    margin-bottom: var(--border-space);
    padding-top: var(--border-space);
    padding-bottom: var(--border-space);
    margin-left: 0;
    padding-left: 20px;
}

.bulletpoints > li {
    list-style-type: disc;
    margin-bottom: var(--list-item-margin-bottom);
    line-height: var(--lin-height);
}

.bulletpoints > li::marker {
    color: var(--highlight-color);
}

.links {
    margin: 0;
    padding: 0;
}

.links > li {
    margin-bottom: var(--list-item-margin-bottom);
    list-style-type: none;
    line-height: var(--lin-height);
}

.img-container {
    height: fit-content;
    width: 100%;
    margin: auto;
    margin-top: var(--border-space);
    margin-bottom: var(--border-space);
}

.img-caption {
    font-size: 70%;
    display: block;
    margin-top: 5px;
    text-align: center;
    text-decoration: none;
    color: var(--caption-color);
}

img {
    width: 100%;
    aspect-ratio: 4 / 3.5;
    object-fit: cover;
    box-shadow: 5px 5px 5px rgb(187 187 187);
    border-radius: 10px;
}
